## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/BenHanson/lexertl14
%global commit aeddda84ad4c8083aedd35ecd764679f5fb1b640

Name:           lexertl14
Summary:        C++14 version of lexertl
Version:        0.1.0
%forgemeta
Release:        %autorelease

License:        BSL-1.0
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  dos2unix

# No compiled binaries are installed, so this would be empty.
%global debug_package %{nil}

%global common_description %{expand:
lexertl is a header-only library for writing lexical analysers. With lexertl
you can:

  • Build lexical analysers at runtime
  • Scan Unicode and ASCII input
  • Scan from files or memory
  • Generate C++ code or even write your own code generator}

%description %{common_description}


%package devel
Summary:        %{summary}

# Header-only library:
Provides:       lexertl14-static = %{version}-%{release}

%description devel %{common_description}


%package examples
Summary:        Examples for lexertl14
BuildArch:      noarch

%description examples
%{summary}.


%prep
%forgeautosetup
# Adapt to multilib:
sed -r -i 's@(DESTINATION )lib\b@\1%{_libdir}@' CMakeLists.txt
# Fix line terminations (particularly for files that may be installed)
find . -type f -exec file '{}' '+' |
  grep -E '\bCRLF\b' |
  cut -d ':' -f 1 |
  xargs -r dos2unix


%build
%cmake -DBUILD_TESTING=on
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license include/lexertl/licence_1_0.txt
%doc README.md

%{_includedir}/lexertl/

%{_libdir}/cmake/lexertl/


%files examples
%license include/lexertl/licence_1_0.txt
%doc examples/*


%changelog
* Sat Mar 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-10
- Update to aeddda8 (Unicode 15.1.0 and other minor enhancements)

* Sat Mar 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-9
- Indicate dirs. in files list with trailing slashes

* Tue Sep 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-8
- Update to 8b8ead2 (Update to the latest Unicode standard)

* Tue Sep 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-7
- Update License to SPDX

* Mon Feb 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-6
- Update to cd5a1f1 (Unicode 15)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 22 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-4
- Update to 2ea71b8

* Tue Dec 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-3
- Dep. on cmake-filesystem is now auto-generated

* Fri Nov 19 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-2
- Update to commit 488602f

* Wed Aug 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-1
- Initial package
